Package Details: fcitx5-configtool-git 5.1.2.r1.g3f7dca9-1

Git Clone URL: https://aur.archlinux.org/fcitx5-configtool-git.git (read-only, click to copy)
Package Base: fcitx5-configtool-git
Description: Config tools for Fcitx5, nightly build from git
Upstream URL: https://github.com/fcitx/fcitx5-configtool
Licenses: GPL
Conflicts: fcitx5-config-qt, fcitx5-configtool, kbd-layout-viewer5
Provides: fcitx5-config-qt, fcitx5-configtool, kbd-layout-viewer5
Replaces: fcitx5-config-qt-git, kbd-layout-viewer5-git, kcm-fcitx5-git
Submitter: farseerfc
Maintainer: farseerfc (lilac, felixonmars)
Last Packager: lilac
Votes: 1
Popularity: 0.166812
First Submitted: 2020-08-01 11:26 (UTC)
Last Updated: 2023-11-06 22:07 (UTC)

Dependencies (14)

Required by (4)

Sources (1)

Latest Comments

BenSYZ commented on 2023-10-20 10:43 (UTC)

From 8feffb89a5b12848c312ba078a46ebe48f1f138c Mon Sep 17 00:00:00 2001
From: Ben <bensongsyz@gmail.com>
Date: Fri, 20 Oct 2023 18:35:33 +0800
Subject: [PATCH] updated to 5.0.13.r19.gfea3e83-1

fix: kde dependencies need the '5' suffix
---
 PKGBUILD | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/PKGBUILD b/PKGBUILD
index a0fdac6..ab67d67 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,18 +4,18 @@

 _pkgname=fcitx5-configtool
 pkgname=$_pkgname-git
-pkgver=5.0.13.r19.gfea3e83
+pkgver=5.1.1.r3.g6b358f1
 pkgrel=1
 pkgdesc="Config tools for Fcitx5, nightly build from git"
 arch=('i686' 'x86_64')
 url="https://github.com/fcitx/fcitx5-configtool"
 license=('GPL')
-depends=('fcitx5-qt5-git' 'kwidgetsaddons' 'kitemviews' 'qt5-x11extras')
-makedepends=('extra-cmake-modules' 'python' 'git' 'kirigami2' 'kdeclarative' 'ninja' 'plasma-framework')
+depends=('fcitx5-qt5-git' 'kwidgetsaddons5' 'kitemviews5' 'qt5-x11extras')
+makedepends=('extra-cmake-modules' 'python' 'git' 'kirigami2' 'kdeclarative5' 'ninja' 'plasma-framework5')
 conflicts=("$_pkgname" "fcitx5-config-qt" "kbd-layout-viewer5")
 provides=("$_pkgname" "fcitx5-config-qt" "kbd-layout-viewer5")
-optdepends=("kdeclarative: for KCM support"
-            "plasma-framework: for plasma theme generator"
+optdepends=("kdeclarative5: for KCM support"
+            "plasma-framework5: for plasma theme generator"
             "kirigami2: for KCM support")
 replaces=("kcm-fcitx5-git" "kbd-layout-viewer5-git<=r332.734741d-2" "fcitx5-config-qt-git<=r332.734741d-2")
 source=("git+$url.git")
-- 
2.42.0

farseerfc commented on 2020-09-10 11:29 (UTC)

@Coelacanthus merged since r332.734741d-4

Coelacanthus commented on 2020-09-10 07:51 (UTC)

It may be better to merge three spilt package into one as Arch Offical Repo. The spilt package name now is too misleading...